Bug 734212 - RFE: Add bkr CLI commands to modify system loan status
Summary: RFE: Add bkr CLI commands to modify system loan status
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.7
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 0.15.2
Assignee: Nick Coghlan
QA Contact:
URL:
Whiteboard: GroupModel
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 18:31 UTC by Derrich Hafemann
Modified: 2018-02-06 00:41 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 07:04:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1037592 None None None Never

Internal Links: 1037592

Description Derrich Hafemann 2011-08-29 18:31:36 UTC
The CSV dumps produces by the 'Systems' CSV type do not include any data about existing loans. It would be very handy to be able to perform bulk updates of system loans.

Comment 2 Dan Callaghan 2013-02-07 03:24:26 UTC
We may be better off implementing loaning as a bkr client command instead. That would probably be easier to use and more flexible than CSV import/export.

Comment 3 Nick Coghlan 2013-04-15 06:00:07 UTC
Acked for exposing a CLI for the loan functionality.

Comment 4 andrew 2013-05-09 17:39:25 UTC
(In reply to comment #3)
> Acked for exposing a CLI for the loan functionality.

Any news on this. More and more loans are going out and its taking up a lot of time when returning and giving out these loans.

Comment 8 Nick Coghlan 2013-11-05 04:16:22 UTC
A preliminary patch for this is up on Gerrit: http://gerrit.beaker-project.org/#/c/2447/

However, in writing the draft patch I realised this is significantly impacted by the access control changes in Beaker 0.15, so it makes more sense to include it in the 0.15.2 release rather than trying to get it into 0.14.3.

Comment 9 Nick Coghlan 2013-11-12 02:56:37 UTC
The original 0.14 patch has been abandoned, the patch review for 0.15 is at
http://gerrit.beaker-project.org/#/c/2462/

Comment 10 Nick Coghlan 2013-12-06 07:41:24 UTC
The patch for 0.15.2 is now ready for final review: http://gerrit.beaker-project.org/#/c/2462/

Comment 11 Nick Coghlan 2013-12-06 07:43:53 UTC
This patch only covers *changing* the system loan status (by granting and returning loans), CLI access to *view* the current system usage is now covered by bug 1037592

Comment 13 Nick Coghlan 2013-12-09 07:15:30 UTC
The updated documentation for this change is available at:

http://beaker-project.org/docs-release-0.15/man/

Comment 15 Amit Saha 2013-12-10 01:14:38 UTC
*** Bug 1039498 has been marked as a duplicate of this bug. ***

Comment 16 Amit Saha 2013-12-10 01:15:11 UTC
The man page needs to be updated. See BZ#1039498

Comment 17 Nick Coghlan 2013-12-10 03:45:53 UTC
Returning to VERIFIED - the feature works, there's just a minor bug in the docs.


Note You need to log in before you can comment on or make changes to this bug.